com.sun.jna.platform.win32

## Interface LMAccess

- All Superinterfaces:
    AltCallingConvention, Library, StdCall, StdCallLibrary

      public interface LMAccess
      extends StdCallLibrary

  Ported from LMAccess.h. Windows SDK 6.0A.
  Author:
    dblock[at]dblock.org

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `LMAccess.GROUP_INFO_0` The GROUP_INFO_0 structure contains the name of a global group in the security database, which is the security accounts manager (SAM) database or, in the case of domain controllers, the Active Directory.
    `static class` | `LMAccess.GROUP_INFO_1` The GROUP_INFO_1 structure contains a global group name and a comment to associate with the group.
    `static class` | `LMAccess.GROUP_INFO_2` The GROUP_INFO_2 structure contains information about a global group, including name, identifier, and resource attributes.
    `static class` | `LMAccess.GROUP_INFO_3` The GROUP_INFO_3 structure contains information about a global group, including name, security identifier (SID), and resource attributes.
    `static class` | `LMAccess.GROUP_USERS_INFO_0` The GROUP_USERS_INFO_0 structure contains global group member information.
    `static class` | `LMAccess.LOCALGROUP_INFO_0`
    `static class` | `LMAccess.LOCALGROUP_INFO_1`
    `static class` | `LMAccess.LOCALGROUP_USERS_INFO_0` The LOCALGROUP_USERS_INFO_0 structure contains local group member information.
    `static class` | `LMAccess.USER_INFO_0` The USER_INFO_0 structure contains a user account name.
    `static class` | `LMAccess.USER_INFO_1` The USER_INFO_1 structure contains information about a user account, including account name, password data, privilege level, and the path to the user's home directory.
    `static class` | `LMAccess.USER_INFO_23` The USER_INFO_23 structure contains information about a user account, including the account name, the user's full name, a comment associated with the account, and the user's security identifier (SID).

    - ### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

      `StdCallLibrary.StdCallCallback`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FILTER_INTERDOMAIN_TRUST_ACCOUNT`
    `static int` | `FILTER_NORMAL_ACCOUNT`
    `static int` | `FILTER_SERVER_TRUST_ACCOUNT`
    `static int` | `FILTER_TEMP_DUPLICATE_ACCOUNT`
    `static int` | `FILTER_WORKSTATION_TRUST_ACCOUNT`
    `static int` | `USER_PRIV_ADMIN`
    `static int` | `USER_PRIV_GUEST`
    `static int` | `USER_PRIV_MASK`
    `static int` | `USER_PRIV_USER`

    - ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

      `FUNCTION_MAPPER, STDCALL_CONVENTION`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

- - ### Field Detail

    - #### FILTER_TEMP_DUPLICATE_ACCOUNT

          static final int FILTER_TEMP_DUPLICATE_ACCOUNT

      See Also:
        Constant Field Values

    - #### FILTER_NORMAL_ACCOUNT

          static final int FILTER_NORMAL_ACCOUNT

      See Also:
        Constant Field Values

    - #### FILTER_INTERDOMAIN_TRUST_ACCOUNT

          static final int FILTER_INTERDOMAIN_TRUST_ACCOUNT

      See Also:
        Constant Field Values

    - #### FILTER_WORKSTATION_TRUST_ACCOUNT

          static final int FILTER_WORKSTATION_TRUST_ACCOUNT

      See Also:
        Constant Field Values

    - #### FILTER_SERVER_TRUST_ACCOUNT

          static final int FILTER_SERVER_TRUST_ACCOUNT

      See Also:
        Constant Field Values

    - #### USER_PRIV_MASK

          static final int USER_PRIV_MASK

      See Also:
        Constant Field Values

    - #### USER_PRIV_GUEST

          static final int USER_PRIV_GUEST

      See Also:
        Constant Field Values

    - #### USER_PRIV_USER

          static final int USER_PRIV_USER

      See Also:
        Constant Field Values

    - #### USER_PRIV_ADMIN

          static final int USER_PRIV_ADMIN

      See Also:
        Constant Field Values

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.